public class Cliente {
	public static void main(String[] args) {
		Documento doc = new Texto();
		Documento doc2 = new Grafico();
		Documento doc3 = new Planilha();
		
		doc.aceitar(new GerarTexto());
		doc.aceitar(new GerarHTML());
		if (((Boolean)doc.aceitar(new Validar())).booleanValue()) {
			System.out.println(doc + " eh valido!");
		}
		doc2.aceitar(new GerarTexto());
		doc2.aceitar(new GerarHTML());
		if (((Boolean)doc2.aceitar(new Validar())).booleanValue()) {
			System.out.println(doc2 + " eh valido!");
		}
		doc3.aceitar(new GerarTexto());
		doc3.aceitar(new GerarHTML());
		if (((Boolean)doc3.aceitar(new Validar())).booleanValue()) {
			System.out.println(doc3 + " eh valido!");
		}
	}	
}
